import { createApp } from 'vue'
import { createPinia } from 'pinia'
import App from './App.vue'
import router from './router'
import zhCn from 'element-plus/es/locale/lang/zh-cn'; // 确保这里的路径是正确的
import '@/assets/css/main.scss'
import '@/assets/css/tailwind.css'
import {
    // component
    NButton,
    // create naive ui
    create
  } from 'naive-ui'
import { registerEcharts } from "@/plugins/echarts"
import  ElementPlus   from 'element-plus'

// 不使用mock，请注释掉
import { mockXHR } from "@/mock/index";

mockXHR()
const naive = create({
    components: [NButton]
  })
const app = createApp(App)
registerEcharts(app)
app.use(ElementPlus, { locale: zhCn })
app.use(createPinia())
app.use(router)
app.use(naive)

app.mount('#app')